Creates a new job_files by supplying directly the field job_files.file_content as Byte Array
Request Information
URI Parameters :
None.
Body Parameters :
job_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| jobs_id |
Job Id |
globally unique identifier |
Required |
| job_approval_id |
Job approval Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id | globally unique identifier | ||
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier | ||
| show_on_web | boolean | ||
| db_report_id |
The id of db_report |
globally unique identifier |
Request Formats :
application/json, text/json
{
"id": "9ea96be1-d2c8-4d53-b666-ce36aed215e3",
"jobs_id": "8061479a-a789-41d7-ab20-95cc2df0de94",
"job_approval_id": "1158378b-45d1-4845-b0b4-4d2ba7338768",
"file_name": "sample string 4",
"name": "sample string 5",
"description": "sample string 6",
"tags": "sample string 7",
"mime_type": "sample string 8",
"file_type": "sample string 9",
"image_height": 10,
"image_width": 11,
"file_size": 12,
"sales_organization_id": "a70addef-c9da-417c-bf5f-936037dd9be4",
"sales_organization_code": "sample string 14",
"file_content": "QEA=",
"dateutc_added": "2026-10-27T09:59:15.9704541+00:00",
"modified_dateutc": "2026-10-27T09:59:15.9704541+00:00",
"user_id": "7081cb9b-8850-4070-8c10-92c9e1a28c6c",
"show_on_web": true,
"db_report_id": "010c569e-7d5c-4cd1-8cdd-0fd78c01cd4e"
}
Response Information
Resource Description :
job_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| jobs_id |
Job Id |
globally unique identifier |
Required |
| job_approval_id |
Job approval Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id | globally unique identifier | ||
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier | ||
| show_on_web | boolean | ||
| db_report_id |
The id of db_report |
globally unique identifier |
Response Formats
application/json, text/json
{
"id": "17dee6d9-b5e5-4fd9-9204-d327ad545174",
"jobs_id": "6e933c13-fd09-40c7-a06f-45723700aabe",
"job_approval_id": "9354f722-3bca-435a-9769-5971480154b3",
"file_name": "sample string 4",
"name": "sample string 5",
"description": "sample string 6",
"tags": "sample string 7",
"mime_type": "sample string 8",
"file_type": "sample string 9",
"image_height": 10,
"image_width": 11,
"file_size": 12,
"sales_organization_id": "399ac002-9a17-43c0-abae-e016c59f68ee",
"sales_organization_code": "sample string 14",
"file_content": "QEA=",
"dateutc_added": "2026-10-27T09:59:15.9704541+00:00",
"modified_dateutc": "2026-10-27T09:59:15.9704541+00:00",
"user_id": "982ca0de-a661-4230-a02c-ba81c0a82a77",
"show_on_web": true,
"db_report_id": "f61a1079-0a1c-4a00-a888-24c9818b372b"
}